Component({
  data: {
    list: ['我自己', '父母', '子女', '配偶', '亲朋', '其他人']
  },
  props: {
    show: false,
    onConfirmRelation: () => {},
    onCloseRelation: () => {}
  },
  methods: {
    handleSelect(e) {
      const {
        index,
        item
      } = e.target.dataset;
      this.props.onConfirmRelation(index, item);
    },

    onPopupClose() {
      this.props.onCloseRelation();
    }

  }
});